/**
 * \mainpage Constructing Games with Gluon
 *
 * The Gluon libraries are two things: They provide functionality to assist in constructing games,
 * and they provide functionality for users to interact with each other in relation to these games.
 *
 * There are are two different ways of using Gluon to build games:
 *
 * - Use the various Gluon libraries directly and provide your own game loop, scene tree and so on
 * - Use GluonEngine to provide game loop, scene tree and a structure for the game, as well as a
 *   distribution chain (provided by http://GamingFreedom.org/ ).
 *
 * This documentation can be used by both types of makers of games: For the first, simply look
 * through the Namespaces page. For the second, read on and follow the handy guides.
 *
 * \section toc Table of Contents
 *
 * - \ref gameobject-hierarchy - Introducing the basic concepts
 * - \ref creator - The basics of using Gluon Creator
 * - \ref scripting-guide - Describing how to construct your game logic
 */

